org.apache.cassandra.cql3.statements

## Class AuthorizationStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthorizationStatement

- All Implemented Interfaces:
    CQLStatement
  Direct Known Subclasses:
    ListPermissionsStatement, ListRolesStatement, PermissionsManagementStatement

      public abstract class AuthorizationStatement
      extends ParsedStatement
      implements CQLStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationStatement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ResultMessage` | `execute(ClientState state)`
    `ResultMessage` | `execute(QueryState state, QueryOptions options, long queryStartNanoTime)` Execute the statement and return the resulting result or null if there is no result.
    `ResultMessage` | `executeInternal(QueryState state, QueryOptions options)` Variant of execute used for internal query against the system tables, and thus only query the local node.
    `int` | `getBoundTerms()` Returns the number of bound terms in this statement.
    `static IResource` | `maybeCorrectResource(IResource resource, ClientState state)`
    `ParsedStatement.Prepared` | `prepare(ClientState clientState)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

      `checkAccess, getFunctions, validate`

- - ### Constructor Detail

    - #### AuthorizationStatement

          public AuthorizationStatement()

  - ### Method Detail

    - #### prepare

          public ParsedStatement.Prepared prepare(ClientState clientState)

      Specified by:
        `prepare` in class `ParsedStatement`

    - #### getBoundTerms

          public int getBoundTerms()

      Description copied from interface: `CQLStatement`
      Returns the number of bound terms in this statement.
      Specified by:
        `getBoundTerms` in interface `CQLStatement`

    - #### execute

          public ResultMessage execute(QueryState state,
                                       QueryOptions options,
                                       long queryStartNanoTime)
                                throws RequestValidationException,
                                       RequestExecutionException

      Description copied from interface: `CQLStatement`
      Execute the statement and return the resulting result or null if there is no result.
      Specified by:
        `execute` in interface `CQLStatement`
      Parameters:
        `state` - the current query state
        `options` - options for this query (consistency, variables, pageSize, ...)
        `queryStartNanoTime` - the timestamp returned by System.nanoTime() when this statement was received
      Throws:
        `RequestValidationException`
        `RequestExecutionException`

    - #### execute

          public abstract ResultMessage execute(ClientState state)
                                         throws RequestValidationException,
                                                RequestExecutionException

      Throws:
        `RequestValidationException`
        `RequestExecutionException`

    - #### executeInternal

          public ResultMessage executeInternal(QueryState state,
                                               QueryOptions options)

      Description copied from interface: `CQLStatement`
      Variant of execute used for internal query against the system tables, and thus only query the local node.
      Specified by:
        `executeInternal` in interface `CQLStatement`
      Parameters:
        `state` - the current query state

    - #### maybeCorrectResource

          public static IResource maybeCorrectResource(IResource resource,
                                                       ClientState state)
                                                throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation